Debian Bug report logs - #642198
ITP: r8168 -- dkms source for the r8168 network driver

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Tue, 20 Sep 2011 08:51:01 UTC

Owned by: Andreas Beckmann <debian@abeckmann.de>

Severity: wishlist

Tags: wontfix

Fixed in version r8168/8.026.00-1

Done: Andreas Beckmann <debian@abeckmann.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#642198; Package wnpp. (Tue, 20 Sep 2011 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 20 Sep 2011 08:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: r8168 -- dkms source for the r8168 network driver
Date: Tue, 20 Sep 2011 10:46:47 +0200
Package: wnpp
Severity: wishlist
Owner: Andreas Beckmann <debian@abeckmann.de>

* Package name    : r8168
  Version         : 8.025.00
  Upstream Author : Realtek NIC software team <nicfae@realtek.com>
* URL             : http://www.realtek.com/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false#2
* License         : GPL2+
  Programming Lang: C
  Description     : dkms source for the r8168 network driver

 r8168 is the Linux device driver released for RealTek RTL8168B/8111B,
 RTL8168C/8111C, RTL8168CP/8111CP, RTL8168D/8111D, and RTL8168DP/8111DP, and
 RTK8168E/8111E Gigabit Ethernet controllers with PCI-Express interface.
 .
 This driver should only used for devices not yet supported by the in-kernel
 driver r8169.
 .
 This package provides the dkms source code for the r8168 kernel modules.
 Kernel source or headers are required to compile these modules.

I just came along this in #debian last week, helping someone to get this
module built and installed (upstream build system does not work properly
on kernel 3.x) because the in-kernel module r8169 did not support his
NIC.

I did this package just as a first experiment with dkms, the module
builds fine with squeeze and sid kernels. I don't have the hardware to
actually test it. So if someone who actually needs it wants to take over
maintainership, he is welcome.

Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642198; Package wnpp. (Tue, 20 Sep 2011 09:21:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 20 Sep 2011 09:21:22 GMT) Full text and rfc822 format available.

Message #10 received at 642198@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 642198@bugs.debian.org
Subject: Re: Bug#642198: Acknowledgement (ITP: r8168 -- dkms source for the r8168 network driver)
Date: Tue, 20 Sep 2011 11:19:11 +0200
Uploaded to mentors, needs a sponsor:
http://mentors.debian.net/package/r8168


Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>:
Bug#642198; Package wnpp. (Tue, 20 Sep 2011 12:28:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>. (Tue, 20 Sep 2011 12:29:02 GMT) Full text and rfc822 format available.

Message #15 received at 642198@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: debian-devel@lists.debian.org, 642198@bugs.debian.org
Subject: Re: Bug#642198: ITP: r8168 -- dkms source for the r8168 network driver
Date: Tue, 20 Sep 2011 14:23:27 +0200
Hi

On Tuesday 20 September 2011, Andreas Beckmann wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Andreas Beckmann <debian@abeckmann.de>
> 
> * Package name    : r8168
>   Version         : 8.025.00
>   Upstream Author : Realtek NIC software team <nicfae@realtek.com>
> * URL             : http://www.realtek.com/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false#2
> * License         : GPL2+
>   Programming Lang: C
>   Description     : dkms source for the r8168 network driver
> 
>  r8168 is the Linux device driver released for RealTek RTL8168B/8111B,
>  RTL8168C/8111C, RTL8168CP/8111CP, RTL8168D/8111D, and RTL8168DP/8111DP, and
>  RTK8168E/8111E Gigabit Ethernet controllers with PCI-Express interface.
>  .
>  This driver should only used for devices not yet supported by the in-kernel
>  driver r8169.

Personally speaking I'd assume this package would create much more 
problems than it would solve, due to the PCI ID overlap with r8169.ko 
shipped by the kernel packages themselves. This driver claims 
10ec:8168, which is also taken by the in-kernel r8169.ko module. 

Upstream, all r8168 devices are (or will be) supported by the r8169.ko
module (r8168.ko doesn't exist in the kernel) and RealTek recently 
started to participate in developing r8169.ko mainline. Which means the
overlap will only increase from kernel version to kernel version in 
unstable, even if you'd restrict this package to squeeze (and it's not 
likely that a completely new packages would be accepted for upcoming 
point releases) the package would conflict with the kernel team's 
efforts to backport support for newer devices[1], as those also 
backport support for newer devices in stable.

Please also consider that systems using both onboard PCIe r8168 and 
additional PCI r8169 cards are not an uncommon situation, which is not
possible using this proposed driver.

>  This package provides the dkms source code for the r8168 kernel modules.
>  Kernel source or headers are required to compile these modules.
> 
> I just came along this in #debian last week, helping someone to get this
> module built and installed (upstream build system does not work properly
> on kernel 3.x) because the in-kernel module r8169 did not support his
> NIC.

Is this driver really needed with kernel 3.0, what about 3.1~rc in 
experimental? If it's still missing, looking at net-next[2] it might be
easier to backport a small patch adding support for the affected device
than dealing with conflicting modules both claiming the same device IDs.

from 2.6.39 to 3.0, r8169.ko gained support for:
- RTL8168E/RTL8111E

and learned about new chipset variants for:
- RTL8105
- RTL8168DP

from 3.0 to 3.1~rc, r8169.ko gained support for:
- RTL8111E-VL

and learned about new cards like:
- D-Link DGE-530T rev C1 (DLG10028C)

For even longer, r8169.ko supports (looking at 3.1~rc):
- 3 different RTL8168b/8111b variants
- 4 RTL8168c/8111c variants
- 3 RTL8168cp/8111cp variants
- 2 RTL8168d/8111 variants
- 3 RTL8168dp/8111dp variants
- 2 RTL8168e/8111e variants 

…which doesn't leave much of r8168.ko uncovered.

> I did this package just as a first experiment with dkms, the module
> builds fine with squeeze and sid kernels. I don't have the hardware to
> actually test it. So if someone who actually needs it wants to take over
> maintainership, he is welcome.

Regards
	Stefan Lippers-Hollmann

[1]	http://lists.debian.org/debian-kernel/2011/09/msg00540.html
[2]	git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git
	git://github.com/davem330/net-next.git (temporarily)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>:
Bug#642198; Package wnpp. (Tue, 20 Sep 2011 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>. (Tue, 20 Sep 2011 12:51:06 GMT) Full text and rfc822 format available.

Message #20 received at 642198@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Stefan Lippers-Hollmann <s.L-H@gmx.de>
Cc: debian-devel@lists.debian.org, 642198@bugs.debian.org
Subject: Re: Bug#642198: ITP: r8168 -- dkms source for the r8168 network driver
Date: Tue, 20 Sep 2011 13:30:12 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2011-09-20 at 14:23 +0200, Stefan Lippers-Hollmann wrote:
> Hi
> 
> On Tuesday 20 September 2011, Andreas Beckmann wrote:
> > Package: wnpp
> > Severity: wishlist
> > Owner: Andreas Beckmann <debian@abeckmann.de>
> > 
> > * Package name    : r8168
> >   Version         : 8.025.00
> >   Upstream Author : Realtek NIC software team <nicfae@realtek.com>
> > * URL             : http://www.realtek.com/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false#2
> > * License         : GPL2+
> >   Programming Lang: C
> >   Description     : dkms source for the r8168 network driver
> > 
> >  r8168 is the Linux device driver released for RealTek RTL8168B/8111B,
> >  RTL8168C/8111C, RTL8168CP/8111CP, RTL8168D/8111D, and RTL8168DP/8111DP, and
> >  RTK8168E/8111E Gigabit Ethernet controllers with PCI-Express interface.
> >  .
> >  This driver should only used for devices not yet supported by the in-kernel
> >  driver r8169.
> 
> Personally speaking I'd assume this package would create much more 
> problems than it would solve, due to the PCI ID overlap with r8169.ko 
> shipped by the kernel packages themselves. This driver claims 
> 10ec:8168, which is also taken by the in-kernel r8169.ko module. 
[...]

Agree, this should not be added to the archive.

If people are in a hurry to get new support for new devices, we can
cherry-pick later upstream changes to r8169.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642198; Package wnpp. (Tue, 20 Sep 2011 21:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 20 Sep 2011 21:24:07 GMT) Full text and rfc822 format available.

Message #25 received at 642198@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Ben Hutchings <ben@decadent.org.uk>, 642198@bugs.debian.org
Cc: Stefan Lippers-Hollmann <s.L-H@gmx.de>, debian-devel@lists.debian.org
Subject: Re: Bug#642198: ITP: r8168 -- dkms source for the r8168 network driver
Date: Tue, 20 Sep 2011 23:12:52 +0200
On 2011-09-20 14:30, Ben Hutchings wrote:
> On Tue, 2011-09-20 at 14:23 +0200, Stefan Lippers-Hollmann wrote:
>> Personally speaking I'd assume this package would create much more 
>> problems than it would solve, due to the PCI ID overlap with r8169.ko 
>> shipped by the kernel packages themselves. This driver claims 
>> 10ec:8168, which is also taken by the in-kernel r8169.ko module. 
> [...]
> 
> Agree, this should not be added to the archive.

OK, that's fine. I don't really care.

Andreas




Added tag(s) wontfix. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 04 Nov 2011 04:48:03 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Andreas Beckmann <debian@abeckmann.de> Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Fri, 04 Nov 2011 04:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>:
Bug#642198; Package wnpp. (Sat, 12 Nov 2011 18:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>. (Sat, 12 Nov 2011 18:09:02 GMT) Full text and rfc822 format available.

Message #34 received at 642198@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: debian-devel@lists.debian.org, Andreas Beckmann <debian@abeckmann.de>, onlyjob@member.fsf.org, 642198@bugs.debian.org, 648286@bugs.debian.org
Subject: Re: Bug#648286: ITP: r8168 -- Realtek r8168 device driver for Linux (DKMS version)
Date: Sat, 12 Nov 2011 19:04:45 +0100
[Message part 1 (text/plain, inline)]
Am 10.11.2011 10:42, schrieb Dmitry Smirnov:
> Package: wnpp
> Severity: wishlist
> Owner: Dmitry Smirnov <onlyjob@member.fsf.org>
> 
> * Package name    : r8168-dkms
>   Version         : 8.026.00
>   Upstream Author : Realtek Semiconductor Corp.
> * URL             :
> http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false
> * License         : GPL-2+ (contains binary blobs)
>   Programming Lang: C
>   Description     : Realtek r8168 device driver for Linux (DKMS version)
>  r8168 is the Linux device driver released for RealTek RTL8168B/8111B,
>  RTL8168C/8111C, RTL8168CP/8111CP, RTL8168D/8111D, RTL8168DP/8111DP, and
>  RTL8168E/8111E Gigabit Ethernet controllers with PCI-Express interface.
>  .
>  This is to substitute built-in r8169 driver if it doesn't work well.

I just searched this thread in my MUA and notified that Andreas Beckmann
already filled an ITP on 20.09.2011 @ #642198

@Andreas and Dmitry:
You may cooperate on packaging or decide, who wants to maintain it in
the future.

@Ben:
I still think this driver should be added as alternative driver to the
archive, until r8169 will do its job for the promoted PCIIDs correctly.

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org
*/

[signature.asc (application/pgp-signature, attachment)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Nov 2011 13:06:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642198; Package wnpp. (Sun, 13 Nov 2011 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 13 Nov 2011 14:12:03 GMT) Full text and rfc822 format available.

Message #41 received at 642198@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: pmatthaei@debian.org
Cc: debian-devel@lists.debian.org, onlyjob@member.fsf.org, 642198@bugs.debian.org, 648286@bugs.debian.org
Subject: Re: Bug#648286: ITP: r8168 -- Realtek r8168 device driver for Linux (DKMS version)
Date: Sun, 13 Nov 2011 15:08:09 +0100
On 2011-11-12 19:04, Patrick Matthäi wrote:
> @Andreas and Dmitry:
> You may cooperate on packaging or decide, who wants to maintain it in
> the future.

I just revived my old ITP http://bugs.debian.org/642198
and tried to put my things in a git repository:
Only git://git.debian.org/~anbe-guest/r8168.git seems to work so far.

> @Ben:
> I still think this driver should be added as alternative driver to the
> archive, until r8169 will do its job for the promoted PCIIDs correctly.

One possible solution I see would be to upload r8168 to sid (or
experimental) and add a severity=serious bug "r8168 should not enter
testing - let's fix r8169 in the kernel instead" to prevent migration.
Documentation should include detailed instructions how to properly
report bugs for the in-kernel r8169 if it does not work (but r8168 does).

Do I see it correctly that this driver is to be classified as non-free?
The source code says "GPL2+", but 50% of the source lines is something like
    mdio_write(tp, 0x1E, 0x0078);
making this look very 'blobby'.

Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>:
Bug#642198; Package wnpp. (Sun, 13 Nov 2011 15:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>. (Sun, 13 Nov 2011 15:15:07 GMT) Full text and rfc822 format available.

Message #46 received at 642198@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: pmatthaei@debian.org, debian-devel@lists.debian.org, onlyjob@member.fsf.org, 642198@bugs.debian.org, 648286@bugs.debian.org
Subject: Re: Bug#648286: ITP: r8168 -- Realtek r8168 device driver for Linux (DKMS version)
Date: Sun, 13 Nov 2011 15:12:34 +0000
[Message part 1 (text/plain, inline)]
On Sun, 2011-11-13 at 15:08 +0100, Andreas Beckmann wrote:
> On 2011-11-12 19:04, Patrick Matthäi wrote:
> > @Andreas and Dmitry:
> > You may cooperate on packaging or decide, who wants to maintain it in
> > the future.
> 
> I just revived my old ITP http://bugs.debian.org/642198
> and tried to put my things in a git repository:
> Only git://git.debian.org/~anbe-guest/r8168.git seems to work so far.
> 
> > @Ben:
> > I still think this driver should be added as alternative driver to the
> > archive, until r8169 will do its job for the promoted PCIIDs correctly.
> 
> One possible solution I see would be to upload r8168 to sid (or
> experimental) and add a severity=serious bug "r8168 should not enter
> testing - let's fix r8169 in the kernel instead" to prevent migration.
> Documentation should include detailed instructions how to properly
> report bugs for the in-kernel r8169 if it does not work (but r8168 does).
> 
> Do I see it correctly that this driver is to be classified as non-free?
> The source code says "GPL2+", but 50% of the source lines is something like
>     mdio_write(tp, 0x1E, 0x0078);
> making this look very 'blobby'.

Those sequences are reconfiguring the PHY, but some of them also patch
the PHY firmware.  Compare with the in-tree version which uses
request_firmware() for the latter.

Ben.

-- 
Ben Hutchings
Never attribute to conspiracy what can adequately be explained by stupidity.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>:
Bug#642198; Package wnpp. (Sun, 13 Nov 2011 16:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>. (Sun, 13 Nov 2011 16:03:07 GMT) Full text and rfc822 format available.

Message #51 received at 642198@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: debian-devel@lists.debian.org, onlyjob@member.fsf.org, 642198@bugs.debian.org, 648286@bugs.debian.org
Subject: Re: Bug#648286: ITP: r8168 -- Realtek r8168 device driver for Linux (DKMS version)
Date: Sun, 13 Nov 2011 16:59:09 +0100
Am 13.11.2011 15:08, schrieb Andreas Beckmann:
> On 2011-11-12 19:04, Patrick Matthäi wrote:
>> @Andreas and Dmitry:
>> You may cooperate on packaging or decide, who wants to maintain it in
>> the future.
>
> I just revived my old ITP http://bugs.debian.org/642198
> and tried to put my things in a git repository:
> Only git://git.debian.org/~anbe-guest/r8168.git seems to work so far.
>
>> @Ben:
>> I still think this driver should be added as alternative driver to the
>> archive, until r8169 will do its job for the promoted PCIIDs correctly.
>
> One possible solution I see would be to upload r8168 to sid (or
> experimental) and add a severity=serious bug "r8168 should not enter
> testing - let's fix r8169 in the kernel instead" to prevent migration.
> Documentation should include detailed instructions how to properly
> report bugs for the in-kernel r8169 if it does not work (but r8168 does).

I do not agree.
The package description and README should state, that it is an alternate 
driver which should be used, if r8169 does not work.
It SHOULD enter wheezy as alternative, if r8169 is still buggy.

What should be handled by upstream and what should be fixed is outside 
of this discussion and I am still available to sponsor the upload :)

But btw isn't http://code.google.com/p/r8168/ the better homepage for it?

Cheers




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#642198; Package wnpp. (Mon, 14 Nov 2011 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 14 Nov 2011 12:51:06 GMT) Full text and rfc822 format available.

Message #56 received at 642198@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: pmatthaei@debian.org, 642198@bugs.debian.org
Cc: debian-devel@lists.debian.org, onlyjob@member.fsf.org, 648286@bugs.debian.org
Subject: Re: Bug#642198: Bug#648286: ITP: r8168 -- Realtek r8168 device driver for Linux (DKMS version)
Date: Mon, 14 Nov 2011 13:46:14 +0100
On 2011-11-13 16:59, Patrick Matthäi wrote:
> Am 13.11.2011 15:08, schrieb Andreas Beckmann:
>> I just revived my old ITP http://bugs.debian.org/642198

Updated packaging is available at
git://github.com/anbe42/r8168.git

Patrick, you may want to test it. Also testing to switch back from r8168
to r8169 would be interesting.

> But btw isn't http://code.google.com/p/r8168/ the better homepage for it?

That's an unofficial mirror, so I wouldn't take it for the Homepage.
But at least we can use it for the watch file.

> [...] and I am still available to sponsor the upload :)

I still offer to maintain the package (or co-maintain it with Dmitry).
But I don't have any NIC that requires r8168 (on a quick glance I didn't
even find anything using r8169), so I can't test beyond module compilation.

If you want to see it rather in non-free than in main, please say so.


Andreas




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 19:09:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>:
Bug#642198; Package wnpp. (Fri, 18 Nov 2011 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to onlyjob@member.fsf.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andreas Beckmann <debian@abeckmann.de>. (Fri, 18 Nov 2011 01:45:03 GMT) Full text and rfc822 format available.

Message #63 received at 642198@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: pmatthaei@debian.org
Cc: Andreas Beckmann <debian@abeckmann.de>, debian-devel@lists.debian.org, 642198@bugs.debian.org, 648286@bugs.debian.org, julien@debian.org
Subject: Re: Bug#648286: ITP: r8168 -- Realtek r8168 device driver for Linux (DKMS version)
Date: Fri, 18 Nov 2011 12:41:41 +1100
Hi Patrick, Julien

Since linux-image-3.1.0 arrived in unstable (many thanks Ben),
perhaps it would be nice if you could try it with your NIC so we learn
how well new r8169 work with your card.

Could you please provide some feedback?

Because r8168 qualifies for non-free I would like to have it there
only if none of r8169 works.
If working alternative available in newer kernels, we simply don't
need r8168 and this will suit Ben.

Thanks for http://code.google.com/p/r8168/ which seems to be right
upstream home page which I wasn't aware of.

I don't have problematic NIC so just like Andreas I can only test the
package but not the driver.

Regards,
Dmitry.




Reply sent to Andreas Beckmann <debian@abeckmann.de>:
You have taken responsibility. (Sat, 19 Nov 2011 09:19:29 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sat, 19 Nov 2011 09:19:34 GMT) Full text and rfc822 format available.

Message #68 received at 642198-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 642198-close@bugs.debian.org
Subject: Bug#642198: fixed in r8168 8.026.00-1
Date: Sat, 19 Nov 2011 09:18:31 +0000
Source: r8168
Source-Version: 8.026.00-1

We believe that the bug you reported is fixed in the latest version of
r8168, which is due to be installed in the Debian FTP archive:

r8168-dkms_8.026.00-1_all.deb
  to main/r/r8168/r8168-dkms_8.026.00-1_all.deb
r8168_8.026.00-1.debian.tar.gz
  to main/r/r8168/r8168_8.026.00-1.debian.tar.gz
r8168_8.026.00-1.dsc
  to main/r/r8168/r8168_8.026.00-1.dsc
r8168_8.026.00.orig.tar.gz
  to main/r/r8168/r8168_8.026.00.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642198@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <debian@abeckmann.de> (supplier of updated r8168 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 16 Nov 2011 13:50:53 +0100
Source: r8168
Binary: r8168-dkms
Architecture: source all
Version: 8.026.00-1
Distribution: unstable
Urgency: low
Maintainer: Andreas Beckmann <debian@abeckmann.de>
Changed-By: Andreas Beckmann <debian@abeckmann.de>
Description: 
 r8168-dkms - dkms source for the r8168 network driver
Closes: 642198 648286
Changes: 
 r8168 (8.026.00-1) unstable; urgency=low
 .
   * Initial release.  (Closes: #642198, #648286)
Checksums-Sha1: 
 d0a955c42cc17379ba8601c19a001a4da8d76024 1822 r8168_8.026.00-1.dsc
 50048cc2dd91730b1f1101c73f783b9d7eeff537 75992 r8168_8.026.00.orig.tar.gz
 c5b6c980434588e1799246c084589f541f848577 2903 r8168_8.026.00-1.debian.tar.gz
 d8b694243686f6edce0a29bb5faf581096b9e088 77138 r8168-dkms_8.026.00-1_all.deb
Checksums-Sha256: 
 50daeae011b302853cb0ff53773023fee2d4b1bb54d503503f4b3949c995b282 1822 r8168_8.026.00-1.dsc
 ea74460bd3418d91633fed78b331071afffd95442d6172765668137e9e89b1c3 75992 r8168_8.026.00.orig.tar.gz
 8e2533108c372e810f450ff5796bfa8cf38263ba46c826ea74327bc459fbe2aa 2903 r8168_8.026.00-1.debian.tar.gz
 08b1c0c9ecb41be2219864a8eeeb4ff657952bd813192ecf9053635fa61fcbdd 77138 r8168-dkms_8.026.00-1_all.deb
Files: 
 4d058dbb1cfdeb2a36e065b9260a3d50 1822 kernel extra r8168_8.026.00-1.dsc
 5211f78f313a6a363109b81f396bdb92 75992 kernel extra r8168_8.026.00.orig.tar.gz
 3f05a23309623e7b55b891611b52d388 2903 kernel extra r8168_8.026.00-1.debian.tar.gz
 d305a79146ac9d785b8cd66c4cb6c5c1 77138 kernel extra r8168-dkms_8.026.00-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iQIcBAEBCAAGBQJOw7ZWAAoJEBLZsEqQy9jkZhAP/iftvhA5MsHNfJY0WnnjPJxC
MUxvKGeTNvJ7oH8bjzI0o8W+ZYuJUzbhzvhG92P0fMLwK2hCvbRXDnUM0BsTIPgv
DTdxqUPvHs7FjRoVPdwpOyqDMPUkCz87+oGpag3N3uTam2st0q469ElKvxbkx5Jy
SLnn1KduCu2Z2mluppV9ggG11xOO2pIzhpIjnA7telLq4YaEC2CAFF4J3ucn5ljh
3KN0OmMQy0D1PnKL9QdQPw+GY5IsphoOsZW4NrnpabBapWsYLRV75CWkxwvepfTo
iNjGVmJy1J0eyS4DUmqjrjmOFvvmTzShHWvXN37AMxRFTgbTHwiXBYhNVVR7GCLE
TGbL9bjPxPPs8KwsA1baYOR0yPsjv0BxAlB5cXgREyGv/5Awu6QCK3zIVpxDtBZ6
3mOYwui70X+MeMIfhFmJ+8avnQmUoVGzvnv29AFE7lYxBdgxyx7fJioDG5fJftod
EgxWKViVgHCm4SjFMCNVOpifpKQgx1yZbgP0e3Os5l4c70wjD8AmbG0NgooQo1cn
SAvs+nQXse38lJSMjvlPSAUAZiMKCY3BDk+YHPqf237oD4TGzCRl1018ci+zmovE
Avu1WOFIOAC1XckZqoAo39Jz1TrkAk4SpMBf3iYKCqDMTIBvT9e+NMRW+q39o3Jl
+cZO7AyQ3sZSKMx35NM4
=dri4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Dec 2011 07:40:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:37:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.